> For the complete documentation index, see [llms.txt](https://manual.personr.co/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://manual.personr.co/api-documentation/entity-results/retrieving-entity-ownership-structures.md).

# Retrieving entity ownership structures

Once a verification has processed, you can retrieve the entity's ownership structure.

Retrieving the ownership structure of an entity is simple, and is available for manually-entered or automatically-detected directors, shareholders, universal beneficial owners, or others.

## Retrieving an entity's ownership structure

<mark style="color:green;">`POST`</mark> `/api-retrieve-ubo`

Once the entity has been verified, retrieve the ownership structure and information.

**Headers**

| Name          | Value                 |
| ------------- | --------------------- |
| Content-Type  | `multipart/form-data` |
| Authorization | `Bearer YOUR_TOKEN`   |

**Body**

| Name          | Type   | Description                                                                                |
| ------------- | ------ | ------------------------------------------------------------------------------------------ |
| `applicantId` | string | Unique applicantId generated on entity creation <mark style="color:red;">(required)</mark> |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "ownershipInsight": {
        "parentEntity": "1725329761404x0000000000000",
        "applicantId": "1725367823259x00000000000000",
        "uboType": "Individual",
        "name": "SIMONE LEE HARDING",
        "detectedPosition": [
            "Secretary",
            "UBO",
            "Shareholder",
            "Director"
        ],
        "inputtedPosition": "null",
        "address": "123 EXAMPLE LANE, PERTH, 6000, WA, AU",
        "registrationNumber": "null",
        "shares": [
            "5000000"
        ],
        "shareClass": [
            "ORD"
        ]
    },
    "ownershipInsight": {
        "parentEntity": "1725329761404x0000000000000",
        "applicantId": "null",
        "uboType": "Entity",
        "name": "EXAMPLE CO PTY LTD",
        "detectedPosition": [
            "Shareholder"
        ],
        "inputtedPosition": "null",
        "address": "321 EXAMPLE STREET, PERTH, 6000, WA AU",
        "registrationNumber": "123000456",
        "shares": [
            "100000"
        ],
        "shareClass": [
            "ORD"
        ]
    }
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "statusCode": 400,
    "message": "Error: incorrect applicantId provided"
}
```

{% endtab %}
{% endtabs %}

`detectedPosition` types are roles that we've automatically identified during verification.

`inputtedPosition` types are roles that the entity has manually entered, in the event of manual fallback.

{% hint style="info" %}
Note: The `applicantId` can be empty/null when the representative has been identified, but not yet verified. If applicable, once an applicant or entity has been created to verify the representative, manually or automatically in a flow, the `applicantId` will appear.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://manual.personr.co/api-documentation/entity-results/retrieving-entity-ownership-structures.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
